| Home | Libraries | People | FAQ | More

## Class expired_slot

boost::signals2::expired_slot — Indicates at least one of a slot's tracked objects has expired.

## Synopsis

    // In header: <boost/signals2/slot_base.hpp>

    class expired_slot : public bad_weak_ptr {
    public:
      virtual const char *  what() const;
    };

## Description

The `expired_slot` exception is thrown to indicate at least one of a slot's tracked objects has expired.

    virtual const char *  what() const;